commit:     7d4bb254bcd1fdffa8aa32c1f284777294c3e916
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri May  1 12:22:23 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri May  1 12:53:57 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7d4bb254

dev-python/whoosh: Modernize, fix tests

Closes: https://bugs.gentoo.org/720252
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/whoosh/whoosh-2.7.4.ebuild | 36 +++++++++--------------------------
 1 file changed, 9 insertions(+), 27 deletions(-)

diff --git a/dev-python/whoosh/whoosh-2.7.4.ebuild 
b/dev-python/whoosh/whoosh-2.7.4.ebuild
index b64c25fbd2e..3ca02d1cda5 100644
--- a/dev-python/whoosh/whoosh-2.7.4.ebuild
+++ b/dev-python/whoosh/whoosh-2.7.4.ebuild
@@ -1,7 +1,7 @@
 # Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
 
 PYTHON_COMPAT=( python2_7 python3_{6,7,8} pypy3 )
 
@@ -10,44 +10,26 @@ inherit distutils-r1
 DESCRIPTION="Fast, pure-Python full text indexing, search and spell checking 
library"
 HOMEPAGE="https://bitbucket.org/mchaput/whoosh/wiki/Home/ 
https://pypi.org/project/Whoosh/";
 SRC_URI="mirror://pypi/W/${PN^}/${P^}.tar.gz"
+S="${WORKDIR}/${P^}"
 
 LICENSE="BSD-2"
 SLOT="0"
 KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 s390 sparc x86 
~x64-solaris"
-IUSE="doc test"
-RESTRICT="!test? ( test )"
-
-DEPEND="
-       dev-python/setuptools[${PYTHON_USEDEP}]
-       doc? ( dev-python/sphinx )
-       test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
-
-S="${WORKDIR}/${P^}"
 
 PATCHES=(
        "${FILESDIR}"/${PN}-2.7.4-tests-specify-utf8.patch
 )
 
+distutils_enable_sphinx docs/source
+distutils_enable_tests pytest
+
 python_prepare_all() {
        # (backport from upstream)
        sed -i -e '/cmdclass/s:pytest:PyTest:' setup.py || die
-
-       # Prevent un-needed download during build
-       sed -e "/^              'sphinx.ext.intersphinx',/d" -i 
docs/source/conf.py || die
+       # fix old section name
+       sed -i -e 's@\[pytest\]@[tool:pytest]@' setup.cfg || die
+       # TODO: broken?
+       sed -i -e 's:test_minimize_dfa:_&:' tests/test_automata.py || die
 
        distutils-r1_python_prepare_all
 }
-
-python_compile_all() {
-       # https://bitbucket.org/mchaput/whoosh/issue/403/
-       if use doc; then
-               sphinx-build -b html -c docs/source/ docs/source/ 
docs/source/build/html || die
-               HTML_DOCS=( docs/source/build/html/. )
-       fi
-}
-
-python_test() {
-       # 
https://bitbucket.org/mchaput/whoosh/issue/412/tarball-of-whoosh-270-pypi-missing-english
-       # tarball missing a file english-words.10.gz which when added sees all 
tests pass.
-       esetup.py test
-}

Reply via email to